<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjPostfinanceModel extends pjPostfinanceAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'plugin_postfinance';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'foreign_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'postfinance_id', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'token', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'amount', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'currency', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'description', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'created', 'type' => 'datetime', 'default' => ':NULL'),			
	);
	
	public static function factory($attr=array())
	{
		return new pjPostfinanceModel($attr);
	}
}
?>